
/**
 * Oberklasse aller Fische
 * 
 * @author: Albert Wiedemann
 * @version: 1.0
 */
class Fisch extends Figur
{
    /** Blick- und Schwimmrichtung */
    protected char blickrichtung;
    /** Schwimmgeschwindigkeit */
    protected int geschwindigkeit;
    /** Schwimmhöhe */
    protected int höhe;
    /** Position waagrecht */
    int x;

    /**
     * Belegt die Startposition
     * @param xstart Startposition waagrecht
     * @param ausgangshöhe Schwimmhöhe zu Beginn
     */
    Fisch(int xstart, int ausgangshöhe)
    {
        super();
        höhe = ausgangshöhe;
        x = xstart;
        PositionSetzen(x, höhe);
    }

    /**
     * Erzeugt die nach rechts blickende Figur und setzt die Blickrichtung
     */
    void FigurRechtsBlickendSetzen()
    {
    }

    /**
     * Erzeugt die nach links blickende Figur und setzt die Blickrichtung
     */
    void FigurLinksBlickendSetzen()
    {
    }

    /**
     * Bewegt den Fisch
     */
    void Schwimmen()
    {
        if (blickrichtung == 'l')
        {
            if (x < 100)
            {
                FigurRechtsBlickendSetzen();
                x = x + 100;
            }
            else
            {
                x = x - 100;
            }
        }
        else
        {
            if (x > 700)
            {
                FigurLinksBlickendSetzen();
                x = x - 100;
            }
            else
            {
                x = x + 100;
            }
        }
        PositionSetzen(x, höhe);
    }
}