
/**
 * Rahmenklasse des Spiels mit Testvorbesetzung
 * 
 * @author Albert Wiedemann
 * @version 1.0
 */
class AdventureTest
{
    /** die Programmlogik des Spiels */
    Spiel s;
    /** Der Kontroller */
    Kontroller k;

    /**
     * Legt die zentralen Objekte an und startet das Spiel
     */
    AdventureTest ()
    {
        k = new Kontroller();
        s = new Spiel(k, new Anzeige(k));
        // Testvorbesetzung erzeugen
        for (int i = 0; i < Konstanten.anzahlRäume; i += 1)
        {
            Raum r = s.gewölbe.RaumSuchen(i);
            r.monster = new Dieb(s);
        }
        s.spieler.schätze.add(new Bogen(s));
        s.spieler.RaumSchätzeEintragen();
        s.spieler.InventarListeEintragen();
        // normal weiter
        s.Spielen();
        System.exit(0);
    }

    /**
     * Startmethode für eigenständiges Programm
     * @param args Kommandozeilenargumente
     */
    public static void main(String[] args) 
    {
        new AdventureTest();
    }
}
