
/**
 * Rahmenklasse des Spiels
 * 
 * @author Albert Wiedemann
 * @version 1.0
 */
class Adventure
{
    /** die Programmlogik des Spiels */
    Spiel s;
    /** Der Kontroller */
    Kontroller k;

    /**
     * Legt die zentralen Objekte an und startet das Spiel
     */
    Adventure ()
    {
        k = new Kontroller();
        s = new Spiel(k, new Anzeige(k));
        s.Spielen();
        System.exit(0);
    }

    /**
     * Startmethode für eigenständiges Programm
     * @param args Kommandozeilenargumente
     */
    public static void main(String[] args) 
    {
        new Adventure ();
    }
}
